<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Monitoring extends Model
{
    use HasFactory,SoftDeletes;
    protected $guarded=['id'];

    public function agent(){
        return $this->belongsTo(User::class,'agent_id');
    }
    public function team_leader(){
        return $this->belongsTo(User::class,'team_leader_id');
    }
    public function supervisor(){
        return $this->belongsTo(User::class,'supervisor_id');
    }
    public function project(){
        return $this->belongsTo(Project::class,'project_id');
    }

}
