<?php $__env->startPush('headScripts'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/plugins/flatpickr/flatpickr.min.css')); ?>">
    <style>
        #criticalCounterTable thead tr th{
            background:#ed7d31 ;
            color:white;
            border-color:#ed7d31 ;
        }
        #criticalCounterTable tbody tr td{
            border: solid #ed7d31 1.0pt;
        }
        #criticalCounterTable tbody tr:nth-of-type(odd){
            background: #fae5d5;
        }
    </style>
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light"><?php echo e(__('Monitorings')); ?> /</span> <a href="<?php echo e(route('monitorings.index')); ?>" class="text-muted fw-light"><?php echo e(__('Monitorings')); ?> /</a> <?php echo e((isset($monitoring))?__('Edit :type',['type'=>$monitoring->name]):__('Create')); ?></h4>
        <div class="row">
            <div class="col-md-12">
                <div class="card mb-4">
                    <h5 class="card-header"><?php echo e((isset($monitoring))?__('Edit :type',['type'=>$monitoring->name]):__('Create')); ?></h5>
                    <form method="POST" action="<?php echo e(isset($monitoring)?route('monitorings.update',['monitoring'=>$monitoring]):route('monitorings.store')); ?>" enctype="multipart/form-data">
                        <?php if(isset($monitoring)): ?>
                            <?php echo method_field('PUT'); ?>
                        <?php endif; ?>
                        <?php echo csrf_field(); ?>
                        <div class="card-body">
                            <div class="row">
                                <div class="form-group col-lg-12 mb-3">
                                    <label class="form-label"><?php echo e(__('Extinction')); ?></label>
                                    <input type="text" class="form-control <?php $__errorArgs = ['extinction'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> border-left-0" name="extinction" id="extinction" value="<?php echo e(isset($monitoring)?$monitoring->extinction:old('extinction')); ?>" placeholder="<?php echo e(__('Enter :value',['value'=>__('Monitoring Extinction')])); ?>">
                                    <?php $__errorArgs = ['extinction'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="form-group col-lg-4 mb-3">
                                    <label class="form-label"><?php echo e(__('Agent')); ?></label>
                                    <select id="agent_id" class="select2 <?php $__errorArgs = ['agent_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" data-placeholder="<?php echo e(__('Select :type',['type'=>__('Agent')])); ?>" name="agent_id">
                                        <option value=""><?php echo e(__('Select :type',['type'=>__('Agent')])); ?></option>
                                        <?php $__currentLoopData = $usersSelectorArray; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option data-hiring-date="<?php echo e($user->hiring_date); ?>" <?php if((isset($monitoring)&&$monitoring->agent_id==$user->id)||old('agent_id')==$user->id): ?> selected="selected" <?php endif; ?> value="<?php echo e($user->id); ?>"><?php echo e($user->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['agent_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="form-group col-lg-4 mb-3">
                                    <label class="form-label"><?php echo e(__('Team Leader')); ?></label>
                                    <select class="select2 <?php $__errorArgs = ['team_leader_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" data-placeholder="<?php echo e(__('Select :type',['type'=>__('Team Leader')])); ?>" name="team_leader_id">
                                        <option value=""><?php echo e(__('Select :type',['type'=>__('Team Leader')])); ?></option>
                                        <?php $__currentLoopData = $usersSelectorArray; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option <?php if((isset($monitoring)&&$monitoring->team_leader_id==$user->id)||old('team_leader_id')==$user->id): ?> selected="selected" <?php endif; ?> value="<?php echo e($user->id); ?>"><?php echo e($user->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['team_leader_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="form-group col-lg-4 mb-3">
                                    <label class="form-label"><?php echo e(__('Supervisor')); ?></label>
                                    <select class="select2 <?php $__errorArgs = ['supervisor_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" data-placeholder="<?php echo e(__('Select :type',['type'=>__('Supervisor')])); ?>" name="supervisor_id">
                                        <option value=""><?php echo e(__('Select :type',['type'=>__('Supervisor')])); ?></option>
                                        <?php $__currentLoopData = $usersSelectorArray; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option <?php if((isset($monitoring)&&$monitoring->supervisor_id==$user->id)||old('supervisor_id')==$user->id): ?> selected="selected" <?php endif; ?> value="<?php echo e($user->id); ?>"><?php echo e($user->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['supervisor_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="form-group col-lg-12 mb-3">
                                    <label class="form-label"><?php echo e(__('Agent Hiring Date')); ?></label>
                                    <input type="text" disabled class="form-control <?php $__errorArgs = ['hiring_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> border-left-0" name="hiring_date" id="hiring_date" value="<?php echo e(isset($monitoring)&&$monitoring->agent?$monitoring->agent->hiring_date:old('hiring_date')); ?>" placeholder="<?php echo e(__('Enter :value',['value'=>__('Agent Hiring Date')])); ?>">
                                    <?php $__errorArgs = ['hiring_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="form-group col-lg-12 mb-3">
                                    <label class="form-label"><?php echo e(__('Project')); ?></label>
                                    <select class="select2 <?php $__errorArgs = ['project_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" data-placeholder="<?php echo e(__('Select :type',['type'=>__('Project')])); ?>" name="project_id">
                                        <option value=""><?php echo e(__('Select :type',['type'=>__('Project')])); ?></option>
                                        <?php $__currentLoopData = \App\Models\Project::where('status','published')->pluck('name','id')->toArray(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option <?php if((isset($monitoring)&&$monitoring->project_id==$id)||old('project_id')==$id): ?> selected="selected" <?php endif; ?> value="<?php echo e($id); ?>"><?php echo e($name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['project_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="form-group col-lg-12 mb-3">
                                    <label class="form-label"><?php echo e(__('Customer Number')); ?></label>
                                    <input type="text" class="form-control <?php $__errorArgs = ['customer_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> border-left-0" name="customer_number" id="customer_number" value="<?php echo e(isset($monitoring)?$monitoring->customer_number:old('customer_number')); ?>" placeholder="<?php echo e(__('Enter :value',['value'=>__('Monitoring Customer Number')])); ?>">
                                    <?php $__errorArgs = ['customer_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="form-group col-lg-12 mb-3">
                                    <label class="form-label"><?php echo e(__('Call At')); ?></label>
                                    <input type="text" data-enable-time="true" data-time_24hr="true" class="js-flatpickr form-control <?php $__errorArgs = ['call_at'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> border-left-0" name="call_at" id="call_at" value="<?php echo e(isset($monitoring)?$monitoring->call_at:old('call_at')); ?>" placeholder="<?php echo e(__('Enter :value',['value'=>__('Call At')])); ?>">
                                    <?php $__errorArgs = ['call_at'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="form-group col-lg-12 mb-3">
                                    <label class="form-label"><?php echo e(__('Monitored At')); ?></label>
                                    <input type="text" data-enable-time="true" data-time_24hr="true" class="js-flatpickr form-control <?php $__errorArgs = ['monitored_at'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> border-left-0" name="monitored_at" id="monitored_at" value="<?php echo e(isset($monitoring)?$monitoring->monitored_at:old('monitored_at')); ?>" placeholder="<?php echo e(__('Enter :value',['value'=>__('Monitored At')])); ?>">
                                    <?php $__errorArgs = ['monitored_at'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="form-group col-lg-12 mb-3">
                                    <label class="form-label"><?php echo e(__('Monitored Type')); ?></label>
                                    <select class="select2 <?php $__errorArgs = ['monitored_type_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" data-placeholder="<?php echo e(__('Select :type',['type'=>__('Monitored Type')])); ?>" name="monitored_type_id">
                                        <option value=""><?php echo e(__('Select :type',['type'=>__('Monitored Type')])); ?></option>
                                        <?php $__currentLoopData = \App\Models\MonitoringType::where('status','published')->pluck('name','id')->toArray(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option <?php if((isset($monitoring)&&$monitoring->monitored_type_id==$id)||old('monitored_type_id')==$id): ?> selected="selected" <?php endif; ?> value="<?php echo e($id); ?>"><?php echo e($name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['monitored_type_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="table-responsive col-12 mb-3" id="criticalCounterTable">
                                    <table class="table">
                                        <thead>
                                        <tr>
                                            <th><?php echo e(__('End User Critical')); ?></th>
                                            <th>#</th>
                                            <th><?php echo e(__('Business Critical')); ?></th>
                                            <th>#</th>
                                            <th><?php echo e(__('Non Critical')); ?></th>
                                            <th>#</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <?php for($i = 0; $i < $tableRows; $i++): ?>
                                            <tr>
                                                <td><?php echo e(isset($tableEndUserCritical[$i])?$tableEndUserCritical[$i]['name']:''); ?></td>
                                                <td><?php if(isset($tableEndUserCritical[$i])): ?><input type="number" min="0" name="question[<?php echo e($tableEndUserCritical[$i]['id']); ?>]" class="form-control EndUserCritical" value="<?php echo e(getMonitoringCounterValue($tableEndUserCritical[$i]['id'],isset($monitoring)?$monitoring:null)); ?>"/><?php endif; ?></td>
                                                <td><?php echo e(isset($tableBusinessCritical[$i])?$tableBusinessCritical[$i]['name']:''); ?></td>
                                                <td><?php if(isset($tableBusinessCritical[$i])): ?><input type="number" min="0" name="question[<?php echo e($tableBusinessCritical[$i]['id']); ?>]" class="form-control BusinessCritical" value="<?php echo e(getMonitoringCounterValue($tableBusinessCritical[$i]['id'],isset($monitoring)?$monitoring:null)); ?>"/><?php endif; ?></td>
                                                <td><?php echo e(isset($tableNoneCritical[$i])?$tableNoneCritical[$i]['name']:''); ?></td>
                                                <td><?php if(isset($tableNoneCritical[$i])): ?><input type="number" min="0" name="question[<?php echo e($tableNoneCritical[$i]['id']); ?>]" class="form-control NoneCritical" value="<?php echo e(getMonitoringCounterValue($tableNoneCritical[$i]['id'],isset($monitoring)?$monitoring:null)); ?>"/><?php endif; ?></td>
                                            </tr>
                                        <?php endfor; ?>
                                        </tbody>

                                    </table>

                                </div>
                                <div class="table-responsive col-12 mb-3" id="criticalCounterTable">
                                    <table class="table">
                                        <thead>
                                        <tr>
                                            <th>#<?php echo e(__('End User Critical')); ?></th>
                                            <th>#<?php echo e(__('Business Critical')); ?></th>
                                            <th>#<?php echo e(__('Non Critical')); ?></th>
                                            <th>#<?php echo e(__('Call Status')); ?></th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr>
                                            <td><input type="hidden" name="end_user_critical" value="<?php echo e(isset($monitoring)?$monitoring->end_user_critical:old('end_user_critical')); ?>"/><span id="sumCounterEndUserCritical"><?php echo e(isset($monitoring)?$monitoring->end_user_critical:old('end_user_critical')); ?></span></td>
                                            <td><input type="hidden" name="business_critical" value="<?php echo e(isset($monitoring)?$monitoring->business_critical:old('business_critical')); ?>"/><span id="sumCounterBusinessCritical"><?php echo e(isset($monitoring)?$monitoring->business_critical:old('business_critical')); ?></span></td>
                                            <td><input type="hidden" name="non_critical" value="<?php echo e(isset($monitoring)?$monitoring->non_critical:old('non_critical')); ?>"/><span id="sumCounterNoneCritical"><?php echo e(isset($monitoring)?$monitoring->non_critical:old('non_critical')); ?></span></td>
                                            <td><input type="hidden" name="call_status" value="<?php echo e(isset($monitoring)?$monitoring->call_status:old('call_status')); ?>"/><span id="callStatus"><span class="badge <?php if((isset($monitoring)&&$monitoring->call_status=='failed')||old('call_status')=='failed'): ?><?php echo e('bg-danger'); ?><?php elseif((isset($monitoring)&&$monitoring->call_status=='pass')||old('call_status')=='pass'): ?><?php echo e('bg-success'); ?><?php endif; ?>"><?php echo e(isset($monitoring)?$monitoring->call_status:old('call_status')); ?></span></span></td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <div class="form-group col-lg-12 mb-3">
                                    <label class="form-label"><?php echo e(__('Comment')); ?></label>
                                    <textarea name="comment" id="comment" class="form-control"><?php echo e(isset($monitoring)?$monitoring->comment:old('comment')); ?></textarea>
                                    <?php $__errorArgs = ['comment'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                        </div>

                        <div class="text-center mt-3">
                            <button type="submit" class="btn btn-danger px-5"><?php echo e(__('Save')); ?></button>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('footerScripts'); ?>
    <script src="<?php echo e(asset('assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/flatpickr/flatpickr.min.js')); ?>"></script>
    <script>
        $(".js-flatpickr").flatpickr({
            enableTime: true,
            dateFormat: "Y-m-d H:i",
            time_24hr: true
        });
        function updateCallStatus(){
            let sumEndUserCritical=parseInt($("#sumCounterEndUserCritical").text())
            let sumBusinessCritical=parseInt($("#sumCounterBusinessCritical").text())
            let sumNonCritical=parseInt($("#sumCounterNoneCritical").text())
            if(sumNonCritical>3||(sumEndUserCritical+sumBusinessCritical)>0){
                $("#callStatus").html('<span class="badge bg-danger">Failed</span>').parent().find('input').val('failed')
            }else{
                $("#callStatus").html('<span class="badge bg-success">Pass</span>').parent().find('input').val('pass')
            }
        }
        $("#hiring_date").val($("#agent_id option:selected").attr('data-hiring-date'));
        $(document).on('change','#agent_id',function(){
            $("#hiring_date").val($("#agent_id option:selected").attr('data-hiring-date'));
        })
        $(document).on('keyup change','.EndUserCritical',function(){
            let totalCounter=0
            $(".EndUserCritical").each(function(){
                totalCounter+=parseInt($(this).val()==''?0:$(this).val());
            })
            $("#sumCounterEndUserCritical").text(totalCounter).parent().find('input').val(totalCounter)
            updateCallStatus()
        });
        $(document).on('keyup change','.BusinessCritical',function(){
            let totalCounter=0
            $(".BusinessCritical").each(function(){
                totalCounter+=parseInt($(this).val()==''?0:$(this).val());
            })
            $("#sumCounterBusinessCritical").text(totalCounter).parent().find('input').val(totalCounter)
            updateCallStatus()
        });
        $(document).on('keyup change','.NoneCritical',function(){
            let totalCounter=0
            $(".NoneCritical").each(function(){
                totalCounter+=parseInt($(this).val()==''?0:$(this).val());
            })
            $("#sumCounterNoneCritical").text(totalCounter).parent().find('input').val(totalCounter)
            updateCallStatus()
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('dashboard.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/MAMP/htdocs/KPISProject/resources/views/dashboard/monitorings/create_edit.blade.php ENDPATH**/ ?>